# BreakoutPauseScene Class Reference

`#include <BreakoutPauseScene.h>`

Inheritance diagram for BreakoutPauseScene:

List of all members.

## Public Member Functions
| BreakoutPauseScene ()
| ~BreakoutPauseScene ()
virtual void | Initialise ()
virtual void | Draw ()
virtual void | Update ()
virtual void | Shutdown ()
virtual void | Activate ()
virtual void | Deactivate ()
virtual bool | HandleEvent (IEvent *pEvent)
## Protected Attributes
bool | m_bIsActive
std::vector< SpriteID > | m_vTextLines

## Detailed Description

Definition at line 8 of file BreakoutPauseScene.h.

## Constructor & Destructor Documentation

BreakoutPauseScene::BreakoutPauseScene | ( |  | ) |

Definition at line 12 of file BreakoutPauseScene.cpp.

BreakoutPauseScene::~BreakoutPauseScene | ( |  | ) |

Definition at line 18 of file BreakoutPauseScene.cpp.

## Member Function Documentation

void BreakoutPauseScene::Activate | ( |  | ) | `[virtual]`

Implements IScene.

Definition at line 68 of file BreakoutPauseScene.cpp.

void BreakoutPauseScene::Deactivate | ( |  | ) | `[virtual]`

Implements IScene.

Definition at line 73 of file BreakoutPauseScene.cpp.

void BreakoutPauseScene::Draw | ( |  | ) | `[virtual]`

Implements IScene.

Definition at line 34 of file BreakoutPauseScene.cpp.

bool BreakoutPauseScene::HandleEvent | ( | IEvent * | pEvent | ) | `[virtual]`

Implements IEventListener.

Definition at line 78 of file BreakoutPauseScene.cpp.

void BreakoutPauseScene::Initialise | ( |  | ) | `[virtual]`

Implements IScene.

Reimplemented in BreakoutErrorScene.

Definition at line 23 of file BreakoutPauseScene.cpp.

void BreakoutPauseScene::Shutdown | ( |  | ) | `[virtual]`

Implements IScene.

Definition at line 63 of file BreakoutPauseScene.cpp.

void BreakoutPauseScene::Update | ( |  | ) | `[virtual]`

Implements IScene.

Definition at line 58 of file BreakoutPauseScene.cpp.

## Member Data Documentation

bool BreakoutPauseScene::m_bIsActive`[protected]`

Definition at line 25 of file BreakoutPauseScene.h.

std::vector<SpriteID> BreakoutPauseScene::m_vTextLines`[protected]`

Definition at line 26 of file BreakoutPauseScene.h.

The documentation for this class was generated from the following files:

- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/BreakoutPauseScene.h
- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/BreakoutPauseScene.cpp